Package com.ocient.jdbc.proto

# Class PlanProtocol.RandomIntOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.RandomIntOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.RandomIntOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.RandomIntOperator

    public static final class PlanProtocol.RandomIntOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>
    implements PlanProtocol.RandomIntOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.RandomIntOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.RandomIntOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.RandomIntOperator` | `build()` |
`PlanProtocol.RandomIntOperator` | `buildPartial()` |
`PlanProtocol.RandomIntOperator.Builder` | `clear()` |
`PlanProtocol.RandomIntOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.RandomIntOperator.Builder` | `clearLargest()` | `int32 largest = 2;`
`PlanProtocol.RandomIntOperator.Builder` | `clearNullChance()` | a value in the range [0, 1] representing the chance for a null value
`PlanProtocol.RandomIntOperator.Builder` | `clearNumCols()` | `uint64 numCols = 4;`
`PlanProtocol.RandomIntOperator.Builder` | `clearNumRows()` | `uint64 numRows = 3;`
`PlanProtocol.RandomIntOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.RandomIntOperator.Builder` | `clearSmallest()` | `int32 smallest = 1;`
`PlanProtocol.RandomIntOperator.Builder` | `clone()` |
`PlanProtocol.RandomIntOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`int` | `getLargest()` | `int32 largest = 2;`
`double` | `getNullChance()` | a value in the range [0, 1] representing the chance for a null value
`long` | `getNumCols()` | `uint64 numCols = 4;`
`long` | `getNumRows()` | `uint64 numRows = 3;`
`int` | `getSmallest()` | `int32 smallest = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.RandomIntOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.RandomIntOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.RandomIntOperator.Builder` | `mergeFrom​(PlanProtocol.RandomIntOperator other)` |
`PlanProtocol.RandomIntOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.RandomIntOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.RandomIntOperator.Builder` | `setLargest​(int value)` | `int32 largest = 2;`
`PlanProtocol.RandomIntOperator.Builder` | `setNullChance​(double value)` | a value in the range [0, 1] representing the chance for a null value
`PlanProtocol.RandomIntOperator.Builder` | `setNumCols​(long value)` | `uint64 numCols = 4;`
`PlanProtocol.RandomIntOperator.Builder` | `setNumRows​(long value)` | `uint64 numRows = 3;`
`PlanProtocol.RandomIntOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.RandomIntOperator.Builder` | `setSmallest​(int value)` | `int32 smallest = 1;`
`PlanProtocol.RandomIntOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`

### clear

public PlanProtocol.RandomIntOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.RandomIntOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.RandomIntOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.RandomIntOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.RandomIntOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`

### setField

public PlanProtocol.RandomIntOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`

### clearField

public PlanProtocol.RandomIntOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`

### clearOneof

public PlanProtocol.RandomIntOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`

### setRepeatedField

public PlanProtocol.RandomIntOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`

### addRepeatedField

public PlanProtocol.RandomIntOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`

### mergeFrom

public PlanProtocol.RandomIntOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.RandomIntOperator.Builder>`

### mergeFrom

public PlanProtocol.RandomIntOperator.Builder mergeFrom​(PlanProtocol.RandomIntOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`

### mergeFrom

public PlanProtocol.RandomIntOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.RandomIntOperator.Builder>`
Throws:
  `IOException`

### getSmallest

public int getSmallest()
`int32 smallest = 1;`

Specified by:
  `getSmallest` in interface `PlanProtocol.RandomIntOperatorOrBuilder`

### setSmallest

public PlanProtocol.RandomIntOperator.Builder setSmallest​(int value)
`int32 smallest = 1;`

### clearSmallest

public PlanProtocol.RandomIntOperator.Builder clearSmallest()
`int32 smallest = 1;`

### getLargest

public int getLargest()
`int32 largest = 2;`

Specified by:
  `getLargest` in interface `PlanProtocol.RandomIntOperatorOrBuilder`

### setLargest

public PlanProtocol.RandomIntOperator.Builder setLargest​(int value)
`int32 largest = 2;`

### clearLargest

public PlanProtocol.RandomIntOperator.Builder clearLargest()
`int32 largest = 2;`

### getNumRows

public long getNumRows()
`uint64 numRows = 3;`

Specified by:
  `getNumRows` in interface `PlanProtocol.RandomIntOperatorOrBuilder`

### setNumRows

public PlanProtocol.RandomIntOperator.Builder setNumRows​(long value)
`uint64 numRows = 3;`

### clearNumRows

public PlanProtocol.RandomIntOperator.Builder clearNumRows()
`uint64 numRows = 3;`

### getNumCols

public long getNumCols()
`uint64 numCols = 4;`

Specified by:
  `getNumCols` in interface `PlanProtocol.RandomIntOperatorOrBuilder`

### setNumCols

public PlanProtocol.RandomIntOperator.Builder setNumCols​(long value)
`uint64 numCols = 4;`

### clearNumCols

public PlanProtocol.RandomIntOperator.Builder clearNumCols()
`uint64 numCols = 4;`

### getNullChance

public double getNullChance()

    a value in the range [0, 1] representing the chance for a null value

`double nullChance = 5;`

Specified by:
  `getNullChance` in interface `PlanProtocol.RandomIntOperatorOrBuilder`

### setNullChance

public PlanProtocol.RandomIntOperator.Builder setNullChance​(double value)

    a value in the range [0, 1] representing the chance for a null value

`double nullChance = 5;`

### clearNullChance

public PlanProtocol.RandomIntOperator.Builder clearNullChance()

    a value in the range [0, 1] representing the chance for a null value

`double nullChance = 5;`

### setUnknownFields

public final PlanProtocol.RandomIntOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.RandomIntOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RandomIntOperator.Builder>`